Create Bulk Artists
curl --request POST \
--url https://api.royalti.io/artist/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artists": [
{
"artistName": "<string>",
"signDate": "2023-12-25",
"label": "<string>",
"externalId": "<string>",
"users": [
"<string>"
],
"split": [
{
"user": "<string>",
"share": 123
}
]
}
]
}
'import requests
url = "https://api.royalti.io/artist/bulk"
payload = { "artists": [
{
"artistName": "<string>",
"signDate": "2023-12-25",
"label": "<string>",
"externalId": "<string>",
"users": ["<string>"],
"split": [
{
"user": "<string>",
"share": 123
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artists: [
{
artistName: '<string>',
signDate: '2023-12-25',
label: '<string>',
externalId: '<string>',
users: ['<string>'],
split: [{user: '<string>', share: 123}]
}
]
})
};
fetch('https://api.royalti.io/artist/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bulk artist creation completed",
"createdArtists": [
"Artist One",
"Artist Two"
],
"processedCount": 3,
"errors": [
"Artist Three already exists"
]
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Artist
Create Bulk Artists
artist/bulk
POST
/
artist
/
bulk
Create Bulk Artists
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
artist/bulk Description: The/artist/bulk endpoint allows the creation of multiple artists simultaneously by providing an array of artist objects.
Authorization:
- Required role:
adminor higher
POST
Request Payload:
| Parameter | Type | Description |
|---|---|---|
| artists | array | An array of artist objects with their details. |
See sample payload and response below
Code Examples
const response = await fetch('https://api.royalti.io/artist/bulk', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"artists": [
{
"artistName": "sample-artistName",
"signDate": "2024-01-21",
"label": "sample-label",
"externalId": "sample-externalId",
"users": [
{}
],
"split": [
{
"user": "sample-user",
"share": 1
}
]
}
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/artist/bulk',
headers={
'Authorization': f'Bearer {token}'
},
json={"artists":[{"artistName":"sample-artistName","signDate":"2024-01-21","label":"sample-label","externalId":"sample-externalId","users":[{}],"split":[{"user":"sample-user","share":1}]}]}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/artist/bulk \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"artists":[{"artistName":"sample-artistName","signDate":"2024-01-21","label":"sample-label","externalId":"sample-externalId","users":[{}],"split":[{"user":"sample-user","share":1}]}]}'
⌘I